INTERFACE
SUBROUTINE CUASCNTL&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & PTSPHY,&
 & PTENH5, PQENH5, PUEN5, PVEN5,&
 & PTEN5, PQEN5, PQSEN5, PLITOT5,&
 & PGEO5, PGEOH5, PAP5, PAPH5,&
 & PVERVEL5, pwubase5, KLWMIN,&
 & LDLAND, LDCUM, KTYPE, KLAB,&
 & PTU5, PQU5, PLU5,&
 & PMFU5, PMFUB5, PENTR5, PLGLAC5,&
 & PMFUS5, PMFUQ5, PMFUL5, PLUDE5, PDMFUP5,&
 & PDMFEN5, PMFUDE_RATE5, PKINEU5, PWMEAN5,&
 & KCBOT, KCTOP, KCTOP0, KDPL,&
 & PTENH, PQENH, PUEN, PVEN,&
 & PTEN, PQEN, PQSEN,&
 & PGEO, PGEOH, PAPH,&
 & PVERVEL,&
 & PTU, PQU, PLU,&
 & PMFU, PMFUB, PENTR,&
 & PMFUS, PMFUQ, PMFUL, PDMFUP ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLITOT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PWUBASE5(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KLWMIN(KLON)
LOGICAL ,INTENT(IN) :: LDLAND(KLON)
LOGICAL ,INTENT(INOUT) :: LDCUM(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KTYPE(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLAB(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFUB5(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PENTR5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLGLAC5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFUS5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFUQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFUL5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLUDE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDMFUP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDMFEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFUDE_RATE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKINEU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWMEAN5(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KCBOT(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCTOP(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KCTOP0(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KDPL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQENH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSEN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFUB(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PENTR(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFUS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFUQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFUL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDMFUP(KLON,KLEV)
END SUBROUTINE CUASCNTL
END INTERFACE
